import { Button, Card, Flex } from 'antd'
import { ReactNode } from 'react'

export default function DataWrap({
  title,
  buttons,
  children,
}: {
  title: string
  buttons: ReactNode
  children?: ReactNode
}) {
  return (
    <Flex gap={20} style={{ height: '100%' }}>
      <Card className="app-card" title={title} style={{ flex: 1, overflowX: 'hidden' }}>
        <Flex justify="space-between" style={{ marginBottom: '20px' }}>
          <Flex wrap gap={10}>
            {buttons}
          </Flex>
          <Button>查看我的数据集</Button>
        </Flex>
        {children}
      </Card>
    </Flex>
  )
}
