import { Button, Card, Flex } from 'antd'
import AIChat from '@/components/ai/AIChat'
import ViewData from './ViewData'
import { ReactNode } from 'react'

export default function DataWrap({ title, buttons }: { title: string; buttons: ReactNode }) {
  return (
    <Flex gap={20} style={{ height: '100%' }}>
      <Card className="app-card" title={title} style={{ flex: 1, overflowX: 'hidden' }}>
        <Flex justify="space-between" style={{ marginBottom: '20px' }}>
          <Flex wrap gap={10}>
            {buttons}
          </Flex>
          <Button>查看字段详细信息</Button>
        </Flex>
        <ViewData />
      </Card>
      <AIChat></AIChat>
    </Flex>
  )
}
