import { Card, Button, Row, Col } from 'antd'

import { Link } from 'react-router'
type CardItem = {
  title: string
  description: string
  path: string
}

export default function DataDashboard() {
  const items: CardItem[] = [
    {
      title: '数据采集',
      description: '多源数据采集与结构化导入',
      path: '/data/write',
    },
    {
      title: '数据理解与探索',
      description: '动态化数据理解与深度模式探索',
      path: '/data/read',
    },
    {
      title: '数据预处理',
      description: '智能化数据预处理范式',
      path: '/data/preprocess',
    },
    {
      title: '数据加工',
      description: '‌多模态数据加工架构',
      path: '/data/process',
    },
    {
      title: '数据挖掘',
      description: '智能数据解析与知识图谱构建‌‌',
      path: '/data/digging',
    },
    {
      title: '可视化组件',
      description: '‌智能可视化组件',
      path: '/data/chart',
    },
    {
      title: '可视化大屏',
      description: '‌智能可视化大屏',
      path: '/data/screen',
    },
  ]

  const CardCardItem = (item: CardItem) => {
    return (
      <Card title={item.title}>
        <p>{item.description}</p>
        <br />
        <Link to={item.path}>
          <Button shape="round">点击进入</Button>
        </Link>
      </Card>
    )
  }

  return (
    <div style={{ margin: '0 80px' }}>
      <Row gutter={[40, 40]}>
        {items.map((item) => (
          <Col span={6} key={item.path}>
            {CardCardItem(item)}
          </Col>
        ))}
      </Row>
    </div>
  )
}
