import { Form, Input, Modal, Select } from 'antd'
import { useMapStore } from '@/stores/map'

export default function FormModal(props) {
  const getMapValuesByKey = useMapStore((state) => state.getMapValuesByKey)
  const industryList = getMapValuesByKey('bi_data_industry')
  const dataSourceList = getMapValuesByKey('bi_data_source')
  const sensitivityLevelList = getMapValuesByKey('bi_data_sensitivity_level')
  const accessPermissionsList = getMapValuesByKey('bi_data_access_permissions')

  return (
    <Modal title="添加数据集" {...props}>
      <Form labelCol={{ span: 4 }}>
        <Form.Item label="数据集名称" name="name">
          <Input placeholder="请输入" />
        </Form.Item>
        <Form.Item label="所属行业" name="industry">
          <Select options={industryList}></Select>
        </Form.Item>
        <Form.Item label="数据来源" name="data_source">
          <Select options={dataSourceList}></Select>
        </Form.Item>
        <Form.Item label="敏感等级" name="level">
          <Select options={sensitivityLevelList}></Select>
        </Form.Item>
        <Form.Item label="访问权限" name="access">
          <Select options={accessPermissionsList}></Select>
        </Form.Item>
        <Form.Item label="说明" name="desc">
          <Input.TextArea rows={4} placeholder="请输入" />
        </Form.Item>
      </Form>
    </Modal>
  )
}
