import { Button, Card, Empty, Flex, Space } from 'antd'
import { Link } from 'react-router'

export default function DataWriteMy() {
  const isEmpty = true

  // 无数据渲染
  const emptyRender = () => {
    return (
      <>
        <Empty image={Empty.PRESENTED_IMAGE_SIMPLE} description="无数据"></Empty>
        <Flex justify="center" align="middle">
          <Space>
            <Link to="/data/write/copy">
              <Button type="primary">复制数据</Button>
            </Link>
            <Link to="/data/write/upload">
              <Button type="primary">导入数据</Button>
            </Link>
            <Button type="primary" disabled>
              爬取数据
            </Button>
            <Button type="primary" disabled>
              本地数据库连接
            </Button>
            <Button type="primary" disabled>
              API数据获取
            </Button>
          </Space>
        </Flex>
      </>
    )
  }

  return (
    <Card className="app-card" title="我的数据集">
      <Flex justify="space-between" align="middle">
        <h4>数据集名称：电子商务案例分析数据集</h4>
        <Button type="primary" disabled={isEmpty}>
          数据质量分析报告
        </Button>
      </Flex>
      {!isEmpty && (
        <Flex justify="space-between" align="middle">
          <p>《商务数据分析基础》数据集-电子商务2025.xlsx</p>
          <p>共计：1000条数据</p>
        </Flex>
      )}
      {isEmpty && emptyRender()}
    </Card>
  )
}
