import axios from 'axios'
import { message } from 'antd'

const axiosInstance = axios.create({
  // timeout: 60000,
  // withCredentials: true,
  // headers: {
  //   'Content-Type': 'application/x-www-form-urlencoded',
  // },
})

axiosInstance.interceptors.response.use(
  (response) => {
    const { data } = response
    // 未登录
    if (data.code === 4001) {
      location.href = `${import.meta.env.VITE_LOGIN_URL}?rd=${encodeURIComponent(location.href)}`
      return Promise.reject(data)
    }
    if (data.code === 1 || data.code === -1) {
      message.error(data.message || data.msg)
      return Promise.reject(data)
    }
    return data
  },
  (error) => {
    if (error.response) {
      const { status, message } = error.response.data
      // 未登录
      if (status === 403) {
        location.href = `${import.meta.env.VITE_LOGIN_URL}?rd=${encodeURIComponent(location.href)}`
      } else {
        message.error(message || error.message)
        console.error(`${status}: ${message}`)
      }
    } else {
      console.error(error)
    }
    return Promise.reject(error.response || error)
  }
)

export default axiosInstance
